summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVitor Brandão (noisebleed) <vitorbrandao.pt@gmail.com>2009-09-18 21:50:23 +0000
committerVitor Brandão (noisebleed) <vitorbrandao.pt@gmail.com>2009-09-18 21:50:23 +0000
commit004b59425208a2d633f7659d44a65a509052f973 (patch)
tree459e3225e9dfb968b370feaa4af15cf7f64d05e7 /net-wireless/coova-chilli/coova-chilli-1.0.11.ebuild
parentsys-kernel/ccs-sources: Version bumped. (diff)
downloadsunrise-004b59425208a2d633f7659d44a65a509052f973.tar.gz
sunrise-004b59425208a2d633f7659d44a65a509052f973.tar.bz2
sunrise-004b59425208a2d633f7659d44a65a509052f973.zip
net-wireless/coova-chilli: New Ebuild for bug 217141 (net-wireless/coova-chilli). Thanks to Laurento Frittella.
svn path=/sunrise/; revision=9244
Diffstat (limited to 'net-wireless/coova-chilli/coova-chilli-1.0.11.ebuild')
-rw-r--r--net-wireless/coova-chilli/coova-chilli-1.0.11.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/net-wireless/coova-chilli/coova-chilli-1.0.11.ebuild b/net-wireless/coova-chilli/coova-chilli-1.0.11.ebuild
new file mode 100644
index 000000000..1552d040e
--- /dev/null
+++ b/net-wireless/coova-chilli/coova-chilli-1.0.11.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+MY_PN="CoovaChilli"
+DESCRIPTION="CoovaChilli is an open-source software access controller, based on
+the ChilliSpot project."
+HOMEPAGE="http://www.coova.org/CoovaChilli"
+SRC_URI="http://ap.coova.org/chilli/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed"
+
+ # We need to overwrite the provided init script
+ doinitd "${FILESDIR}"/chilli || die "doinitd failed"
+
+ dodoc doc/hotspotlogin.cgi "${FILESDIR}"/firewall.iptables || die "dodoc
+ failed"
+}
+
+pkg_postinst() {
+ elog "$MY_PN uses RADIUS for access provisioning and accounting so be sure"
+ elog "to install and configure a RADIUS server before using ${MY_PN}."
+ elog "Gentoo-wiki has a nice guide regarding this (uses Freeradius):"
+ elog " http://en.gentoo-wiki.com/wiki/Chillispot_with_FreeRadius_and_MySQL"
+}